#!/bin/sh
. /opt/kelvpn/sbin/kelvpn_func.sh

ip_list_path="/opt/kelvpn/var/cache"
ip_list="$ip_list_path/rkn"

if test -d $ip_list_path; then
    log_it_debug "IP list path is present"
else
    mkdir -p $ip_list_path
    log_it "Created $ip_list_path"
fi

curl https://antifilter.network/download/ip.lst > $ip_list
curl https://antifilter.network/download/ipsmart.lst>> $ip_list
curl https://antifilter.network/download/ipsum.lst >> $ip_list
curl https://antifilter.network/download/subnet.lst >> $ip_list
for ip in cat $ip_list; do 
    log_it_debug "==$ip=="
done
